gi-gio-2.0.35: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Structs.StaticResource

Contents

- Exported types
- Methods
  - fini
  - getResource
  - init

Description

`StaticResource` is an opaque data structure and can only be accessed using the following functions.

Synopsis

- newtype StaticResource = StaticResource (ManagedPtr StaticResource)
- newZeroStaticResource :: MonadIO m => m StaticResource
- staticResourceFini :: (HasCallStack, MonadIO m) => StaticResource -> m ()
- staticResourceGetResource :: (HasCallStack, MonadIO m) => StaticResource -> m Resource
- staticResourceInit :: (HasCallStack, MonadIO m) => StaticResource -> m ()

# Exported types

newtype StaticResource Source #

Memory-managed wrapper type.

Constructors

StaticResource (ManagedPtr StaticResource) |

#### Instances

Instances details

Eq StaticResource Source # |
Instance details Defined in GI.Gio.Structs.StaticResource Methods (==) :: StaticResource -> StaticResource -> Bool Source # (/=) :: StaticResource -> StaticResource -> Bool Source #
BoxedPtr StaticResource Source # |
Instance details Defined in GI.Gio.Structs.StaticResource Methods boxedPtrCopy :: StaticResource -> IO StaticResource Source # boxedPtrFree :: StaticResource -> IO () Source #
CallocPtr StaticResource Source # |
Instance details Defined in GI.Gio.Structs.StaticResource Methods boxedPtrCalloc :: IO (Ptr StaticResource) Source #
ManagedPtrNewtype StaticResource Source # |
Instance details Defined in GI.Gio.Structs.StaticResource Methods toManagedPtr :: StaticResource -> ManagedPtr StaticResource Source #
tag ~ 'AttrSet => Constructible StaticResource tag Source # |
Instance details Defined in GI.Gio.Structs.StaticResource Methods new :: MonadIO m => (ManagedPtr StaticResource -> StaticResource) -> [AttrOp StaticResource tag] -> m StaticResource Source #

newZeroStaticResource :: MonadIO m => m StaticResource Source #

Construct a `StaticResource` struct initialized to zero.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

fini, init.

#### Getters

getResource.

#### Setters

None.

## fini

staticResourceFini Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> StaticResource | `staticResource`: pointer to a static `StaticResource`
-> m () |

Finalized a GResource initialized by `staticResourceInit`.

This is normally used by code generated by [glib-compile-resources][glib-compile-resources] and is not typically used by other code.

Since: 2.32

## getResource

staticResourceGetResource Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> StaticResource | `staticResource`: pointer to a static `StaticResource`
-> m Resource | Returns: a `Resource`

Gets the GResource that was registered by a call to `staticResourceInit`.

This is normally used by code generated by [glib-compile-resources][glib-compile-resources] and is not typically used by other code.

Since: 2.32

## init

staticResourceInit Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> StaticResource | `staticResource`: pointer to a static `StaticResource`
-> m () |

Initializes a GResource from static data using a GStaticResource.

This is normally used by code generated by [glib-compile-resources][glib-compile-resources] and is not typically used by other code.

Since: 2.32